<?php declare(strict_types=1);

namespace Aviat\Kilo\Tests\Traits;

use Aviat\Kilo\{Editor, Row};
use PHPUnit\Framework\TestCase;

class RowTest extends TestCase {
	protected Editor $editor;
	protected Row $row;

	public function setUp(): void
	{
		parent::setUp();

		$this->editor = Editor::new();
		$this->row = Row::new($this->editor, '', 0);
	}

	public function testSanity(): void
	{
		$this->assertEquals(0, $this->row->size);
		$this->assertEquals(0, $this->row->rsize);
		$this->assertEmpty($this->row->chars);
		$this->assertEmpty($this->row->render);
	}
}